// Arquivo de exemplo: indexadores.cs
// Para compilar utilize: csc indexadores.cs
using System;
using System.Collections.Generic;

public class Letras {
	private string[] arr;
	public void Ler() 	{
		List<string> st = new List<string>{ "A", "B", "C", "D", "E", "F", "G" };		
		arr = st.ToArray();
	}
	public string this[int index] {
		get {
			return arr[index];
		}
		set {
			arr[index] = value;
		}
	}
	public int Count {
		get{return arr.Length;}
	}
}

class Programa {
	static void Main() {
		Letras lt = new Letras();
		lt.Ler();
		for (int i = 0; i < lt.Count ; i++) {
			Console.WriteLine(lt[i].ToString());
		}
		Console.Read();
	}
}
